
.dash-container {
  position: relative;
  margin: auto;
  width: 100vw;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-content: center;
  flex-wrap: nowrap;
  justify-content: space-around;
  &.copilot {
    height: 44.5vh;
  }
}

.panel-content {
  overflow-y:auto;
  overflow-x:hidden;
  height: 86vh;
  margin: 0;
}

.legend-color {
  display: flex;
  width: 14vh;
  justify-content: flex-start;
  flex-direction: row;
}

.pulse-container {
  @include flex-common;
  flex-direction: column;
  justify-content: flex-start;
  &.info {
    width: 45vw;
    margin-top: 7.6vh;
  }
  &.chart {
    width: 51vw;
    margin-top: 4.6vh;
  }
  &.copilot {
    height: 35vh;
  }
}

.info-select {
  height: 15vh;
  @include flex-common;
  flex-direction: column;
  justify-content: space-around;
  flex-direction: column;
  justify-content: space-around;
  padding-bottom: 30px;
  margin-top: 40px;
}

.info-width {
  width: $left-width;
}

.select-info {
  font-family: Arial, Helvetica, Tahoma, clean, sans-serif;
  &.export {
    width: 21vw;
  }
}

.info-select-button {
  @include flex-common;
  flex-direction: row;
  justify-content: space-between;
}

.info-data {
  margin-top: 20px;
  width: $left-width;
}

.info-dash {
  height: 42vh;
  width: $left-width;
  margin-top: 40px;
}

.info-chart {
  height: 30vh;
  width: $left-width;
  @include flex-common;
  flex-direction: row;
  align-content: space-between;
}

.chart-pie {
  height: 30vh;
  width: 20vw;
  font-family: Arial, Helvetica, Tahoma, clean, sans-serif;
  &.info {
    @include flex-common;
    flex-direction: column;
    justify-content: space-around;
    align-content: center;
    align-items: flex-start;
    flex-wrap: nowrap;
  }  
}

.pulse-content-legend {
  @include flex-common;
  justify-content: space-around;
}

.pulse-container-legend {
  cursor:default;
  width: 10vw;
  height: 3vh;
  font-family: "Arial";
  font-size: 12px;
  @include flex-common;
  justify-content: center;
}

.color {
  width: 2.5vw;
  &.orange {
    background-color: #FFA500;
  }
  &.orange-dark {
    background-color: #F26100;
  }
  &.green {
    background-color:#b2c135;    
  } 
  &.blue{
    background-color:#304269;
  }
  &.calypse{
    background-color:#92DCE5;
  }
  &.large {
    width: 4vw;
    height: 2vh;
  }
  &.small {
    height: 1.3vh;
  }
}

.pulse-dash {
  height: 41vh;
  width:  $right-width;
  @include flex-common;
}

.pulse-dash-container {
  height: 40vh;
  width: $right-width;
}

.pulse-select {
  width: 51vw;
  padding: 20px 5px 20px 5px;
  &.orange {
    border: 2px solid  #FFA500;
  }
  &.orange-dark {
    border: 2px solid  #F26100;
  }
  &.green {
    border: 2px solid #b2c135;    
  }
  &.blue{
    border: 2px solid #304269;
  }
  &.calypse{
    border: 2px solid #92DCE5;
  }
  @include flex-common;
  font-family: "Arial";
  font-size: 16px;
  text-align: center;
}

.pulse-log {
  height: 40vh;
  width: $right-width;
  border: 0.5px solid $gray-lightest;
  overflow-y: auto;
  overflow-x:hidden;
}
.pulse-change-row {
  padding: 15px 10px 15px 10px;
  border: 1px solid $gray-row;
  font-family: "Arial";
  font-size: 14px;
  text-align: left;
  display: flex;
  flex-direction: row;
  &.gray {
    background: $gray-row;
  }
  &.date {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    font-size: 16px;
    font-weight: bold;
    color: $blue-dark;
    background: $gray-lightest;
    border: 1px solid $gray-lightest;
    text-align: center;
  }
}

.copilot-strategies {
  width: $left-width;
  height: 40vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.copilot-image {
  width: 36vw;
  height: 25vh;
  content:url('../images/copilot_images.png');
}

.pulse-help-content {
  background: $blue-dark;
  height: 8vh;
  width: 100vw;
  display: flex;
  justify-content: flex-end;
}
.pulse-help {
  height: 5vh;
  width: 100vw;
  display: flex;
  align-items: center;
  justify-content: center;
  color: $white;
  font-family: "Arial";
  font-size: 16px;
}

.fadeOut{
  opacity:0;
  width:0;
  height:0;
  transition: width 0.5s 0.5s, height 0.5s 0.5s, opacity 0.5s;

}
.fadeIn{
  opacity:1;
  width:100px;
  height:100px;
  transition: width 0.5s, height 0.5s, opacity 0.5s 0.5s;

}

.example-enter {
  opacity: 0.01;
}

.example-enter.example-enter-active {
  opacity: 1;
  transition: opacity 500ms ease-in;
}

.example-leave {
  opacity: 1;
}

.example-leave.example-leave-active {
  opacity: 0.01;
  transition: opacity 300ms ease-in;
}
.info-copilot {
  height: 100%;
  margin-top: 46px;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-content: flex-end;
  align-items: flex-end;
  flex-wrap: nowrap;
}

.space {
  height: 2vh;
  width: 2vw;
}

.title-row {
  width: 100%;
  height: 40px;
  background: $gray-lightest;
  border: 1px solid $gray-lightest;
  font-size: 16px;
  font-weight: bold;
  color: $blue-dark;
  @include font;
  display: flex;
  justify-content: center;
  align-items: center;
  &.data {
    background: $white;
    border-top: 0px;
    margin-top: 0px;
    @include flex-common;
    flex-direction: row;
    justify-content: space-between;
    font-weight: normal;
  }
}

.row-title {
  color: $blue-dark;
  margin-left: 10px;
}

.row-detail {
  color: $gray-dark;
  margin-right: 10px;
}

.export-button {
  position: relative;
  padding: 12px;
  height: 100%;
  width: 21vw;
  @include font;
  box-sizing: border-box; 
  color: $white;
  border: none;
  cursor: pointer;
  line-height: 14px;
  background-color: $blue-dark;
  @include font;
  font: {
    size: 14px;
    weight: bold;
  }
  text: {
    align: center;
    transform: uppercase;
  }
}
